# How to make your server run 4x faster

Open your terminal and enter the following command

```
curl -O https://project.xpub.nl/how-to-make-your-server-run-4x-faster/legs.stl
```

This will save an `.stl` file with 4x legs in your working directory. If you don't want to bother opening the command line you can just click on this [link](https://project.xpub.nl/how-to-make-your-server-run-4x-faster/legs.stl).

With this file you can 3d print the two pairs of legs and install them on your server. In order to do so you need to generate some `G-code` from the `stl` file. There are multiple ways of doing that, depending on the kind of printer you have access to. Check you local maker space and ask them!

Although is not mandatory, it's suggested to turn off, unplug and let the machine cool down before the upgrade. Usually servers don't like to be wabbled around while they are working on some important process. Beware that there's the risk of loosing precious data! Approach this operation with the same care and precautions of a surgery intervention.

**note** remember to adjust the size of the 3d printed file to fit with the dimensions of your server! This guide is tailored to a small self-hosted _Raspberry Pi 4_. If your server is running on a different piece of hardware things could need an adjustment, however it's not in the scope of this documentation to cover all possible cases. If you are not sure about the exact proportions you can search online: how wide tall and deep is my server? and why? and divide the result by four (one for leg)!

Once you installed the legs, a reboot could be necessary.

```
sudo shutdown -r
```

If the server restarts without strange error messages, congratulations! Keep in mind that it will need a bit of time to learn how to walk while catwalking, so the increase of performance will not be instantaneous. Give it some moments to warm up and before you notice it will run 4x faster!

![3d printed legs mounted on a raspberry pi 4](soupboat.jpg)

**warning** Although four additional legs grant way more speed, they come with a compromise on stability. Suddenly the server has four grounding points to manage, and it's center of mass is higher than before. This could cause some balance issues, and less grip onto surfaces. It's also worth mention that a server with legs doesn't really appreciate being caged in a rack, let alone in overcrowded units.


